package xyz.zhouxy.plusone.exception;

import xyz.zhouxy.plusone.commons.exception.BaseException;

public class SysException extends BaseException {
    @java.io.Serial
    private static final long serialVersionUID = 8821240827443168118L;

    public static final String DEFAULT_ERROR_CODE = "5000000";

    public SysException(String code, String msg) {
        super(code, msg);
    }

    public SysException(String code, Throwable cause) {
        super(code, cause);
    }

    public SysException(String code, String msg, Throwable cause) {
        super(code, msg, cause);
    }

    public static SysException of(String msg) {
        return new SysException(DEFAULT_ERROR_CODE, msg);
    }

    public static SysException of(Throwable cause) {
        return new SysException(DEFAULT_ERROR_CODE, cause);
    }

    public static SysException of(String msg, Throwable cause) {
        return new SysException(DEFAULT_ERROR_CODE, msg, cause);
    }
}
