package xyz.zhouxy.plusone.spring;

import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

public enum SpringContextHolder {

    INSTANCE
    ;

    private ApplicationContext context;

    public static ApplicationContext getContext() {
        return INSTANCE.context;
    }

    @Configuration
    static class SpringContextHolderConfig {
        @Bean(name = "springContextHolder")
        SpringContextHolder getSpringContextHolder(ApplicationContext context) {
            SpringContextHolder.INSTANCE.context = context;
            return SpringContextHolder.INSTANCE;
        }
    }
}
